[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] [Prov] Build errors against CDC-1.1/Foundation-1.1

Hi,

I am running into some build errors with a few projects that appear to be due to dependencies on calls only available in Java 1.5.  The execution environment is listed as CDC-1.1/Foundation-1.1 which is linking against 1.4 on my system.  One of the offending classes is LocalMetadataRepository with a reference to getCanonicalName().

Has anyone else seen this issue?  (This is building on an OS X system with 1.4, 1.5 and 1.6 installed).

Cheers,
Tim